
public class Class413 {

   Class253 aClass253_5096;
   Class253 aClass253_5097;
   Class564 aClass564_5098 = new Class564(64);
   Class564 aClass564_5099 = new Class564(2);
   public static Class253 aClass253_5100;
   public static String aString5101;


   public void method7085(int var1) {
      Class564 var2 = this.aClass564_5098;
      synchronized(var2) {
         this.aClass564_5098.method11963(var1, (byte)-95);
      }

      var2 = this.aClass564_5099;
      synchronized(var2) {
         this.aClass564_5099.method11963(var1, (byte)-101);
      }
   }

   public Class416 method7086(int var1) {
      Class564 var2 = this.aClass564_5098;
      Class416 var3;
      synchronized(var2) {
         var3 = (Class416)this.aClass564_5098.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5096;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5096.method4547(Class115.aClass115_1124.anInt1177 * 2022937823, var1, (byte)-67);
         }

         var3 = new Class416();
         var3.aClass413_5136 = this;
         if(null != var10) {
            var3.method7130(new RS2Buffer(var10), 298486478);
         }

         Class564 var11 = this.aClass564_5098;
         synchronized(var11) {
            this.aClass564_5098.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7087(byte var1) {
      Class564 var2 = this.aClass564_5098;
      synchronized(var2) {
         this.aClass564_5098.method11976((byte)22);
      }

      var2 = this.aClass564_5099;
      synchronized(var2) {
         this.aClass564_5099.method11976((byte)60);
      }
   }

   public void method7088(int var1, int var2) {
      Class564 var3 = this.aClass564_5098;
      synchronized(var3) {
         this.aClass564_5098.method11963(var1, (byte)-92);
      }

      var3 = this.aClass564_5099;
      synchronized(var3) {
         this.aClass564_5099.method11963(var1, (byte)-61);
      }
   }

   public void method7089(byte var1) {
      Class564 var2 = this.aClass564_5098;
      synchronized(var2) {
         this.aClass564_5098.method11968((short)-6720);
      }

      var2 = this.aClass564_5099;
      synchronized(var2) {
         this.aClass564_5099.method11968((short)-30307);
      }
   }

   public Class416 method7090(int var1) {
      Class564 var2 = this.aClass564_5098;
      Class416 var3;
      synchronized(var2) {
         var3 = (Class416)this.aClass564_5098.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5096;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5096.method4547(Class115.aClass115_1124.anInt1177 * 2022937823, var1, (byte)-17);
         }

         var3 = new Class416();
         var3.aClass413_5136 = this;
         if(null != var10) {
            var3.method7130(new RS2Buffer(var10), 652042274);
         }

         Class564 var11 = this.aClass564_5098;
         synchronized(var11) {
            this.aClass564_5098.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public Class413(Class481 var1, Class470 var2, Class253 var3, Class253 var4) {
      this.aClass253_5096 = var3;
      this.aClass253_5097 = var4;
      this.aClass253_5096.method4514(Class115.aClass115_1124.anInt1177 * 2022937823, 608362556);
   }

   public Class416 method7091(int var1) {
      Class564 var2 = this.aClass564_5098;
      Class416 var3;
      synchronized(var2) {
         var3 = (Class416)this.aClass564_5098.method11959((long)var1);
      }

      if(var3 != null) {
         return var3;
      } else {
         Class253 var4 = this.aClass253_5096;
         byte[] var10;
         synchronized(var4) {
            var10 = this.aClass253_5096.method4547(Class115.aClass115_1124.anInt1177 * 2022937823, var1, (byte)111);
         }

         var3 = new Class416();
         var3.aClass413_5136 = this;
         if(null != var10) {
            var3.method7130(new RS2Buffer(var10), 1161059291);
         }

         Class564 var11 = this.aClass564_5098;
         synchronized(var11) {
            this.aClass564_5098.method11958(var3, (long)var1);
            return var3;
         }
      }
   }

   public void method7092() {
      Class564 var1 = this.aClass564_5098;
      synchronized(var1) {
         this.aClass564_5098.method11968((short)-23163);
      }

      var1 = this.aClass564_5099;
      synchronized(var1) {
         this.aClass564_5099.method11968((short)-22279);
      }
   }

   public void method7093(int var1) {
      Class564 var2 = this.aClass564_5098;
      synchronized(var2) {
         this.aClass564_5098.method11963(var1, (byte)-95);
      }

      var2 = this.aClass564_5099;
      synchronized(var2) {
         this.aClass564_5099.method11963(var1, (byte)-76);
      }
   }

   public Class416 method7094(int var1, short var2) {
      Class564 var3 = this.aClass564_5098;
      Class416 var4;
      synchronized(var3) {
         var4 = (Class416)this.aClass564_5098.method11959((long)var1);
      }

      if(var4 != null) {
         return var4;
      } else {
         Class253 var5 = this.aClass253_5096;
         byte[] var12;
         synchronized(var5) {
            var12 = this.aClass253_5096.method4547(Class115.aClass115_1124.anInt1177 * 2022937823, var1, (byte)-3);
         }

         var4 = new Class416();
         var4.aClass413_5136 = this;
         if(null != var12) {
            var4.method7130(new RS2Buffer(var12), 1429787466);
         }

         Class564 var11 = this.aClass564_5098;
         synchronized(var11) {
            this.aClass564_5098.method11958(var4, (long)var1);
            return var4;
         }
      }
   }

   public void method7095() {
      Class564 var1 = this.aClass564_5098;
      synchronized(var1) {
         this.aClass564_5098.method11968((short)-4834);
      }

      var1 = this.aClass564_5099;
      synchronized(var1) {
         this.aClass564_5099.method11968((short)-495);
      }
   }

   public void method7096() {
      Class564 var1 = this.aClass564_5098;
      synchronized(var1) {
         this.aClass564_5098.method11968((short)-5527);
      }

      var1 = this.aClass564_5099;
      synchronized(var1) {
         this.aClass564_5099.method11968((short)-15331);
      }
   }

   static void method7097(int var0) {
      if(Class104.method2150(1881519639 * client.anInt7734, -664814467)) {
         if(client.aClass180_7703.method3206((byte)94) == null) {
            Class332.method6157(7, -701000668);
         } else {
            Class332.method6157(15, -141185727);
         }
      } else if(7 != 1881519639 * client.anInt7734 && 1881519639 * client.anInt7734 != 4) {
         if(11 == client.anInt7734 * 1881519639) {
            Class332.method6157(9, -584732463);
         }
      } else {
         Class332.method6157(9, 271713417);
      }

   }
}
